Documentation Index
Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
Use this file to discover all available pages before exploring further.
Assigns a ticket to a specific agent. Useful for ticket routing, workload balancing, or manual assignment.
Example prompt
Assign ticket 71XNF90K10YBR86G1AN06KZJJFX40 to agent URR9A99BDJ
| Name | Type | Required | Description |
|---|
| id | string | Yes | The ID of the ticket to assign |
| assignedAgentId | string | Yes | The ID of the agent to assign the ticket to |
Response fields
Below are the fields you may see in the response:
| Field | Type | Description |
|---|
| id | string | Ticket unique ID |
| ticketId | number | Ticket number |
| title | string | Ticket title |
| description | string | Ticket description |
| status | string | Current status |
| priority | string | Priority |
| account | string | Account name |
| accountId | string | Account ID |
| teamId | string | Team ID |
| teamName | string | Team name |
| assignedAgent | string | Assigned agent name |
| assignedAgentId | string | Assigned agent ID |
| assignedAgentEmail | string | Assigned agent email |
| requestorEmail | string | Requestor email |
| submitterEmail | string | Submitter email |
| statusId | string | Status ID |
| priorityId | string | Priority ID |
| sentimentId | string | Sentiment ID |
| sentiment | string | Sentiment |
| createdAt | string (ISO8601) | Creation timestamp |
| updatedAt | string (ISO8601) | Last update timestamp |
Other top-level fields in the response:
| Field | Type | Description |
|---|
| data | object | The updated ticket object |
| status | boolean | Whether the assignment succeeded |
| message | string | Status message |
| timestamp | string | Time the response was generated (ISO8601) |
Sample response
{
"data": {
"id": "71XNF90K10YBR86G1AN06KZJJFX40",
"ticketId": 1,
"title": "Sample Support Ticket",
"description": "This is a sample ticket created to demonstrate the ticket creation process.",
"source": "api",
"status": "In progress",
"priority": "Medium",
"account": "test",
"accountId": "8PBKJHXJ10YPPEHTQ0682FSNFNAYG",
"teamId": "T88WCYYHPS",
"teamName": "ENG",
"teamIdentifier": "ENG",
"ticketIdentifier": "ENG-1",
"subTeamId": "T88WCYYHPS",
"subTeamName": "ENG",
"subTeamIdentifier": "ENG",
"isPrivate": false,
"formId": "FOCCF4KKYBR",
"assignedAgent": "John",
"assignedAgentId": "URR9A99BDJ",
"assignedAgentEmail": "john.doe@thena.ai",
"assignedAgentAvatar": null,
"requestorEmail": "user@example.com",
"submitterEmail": "user@example.com",
"customFieldValues": [],
"customerContactId": "N0XNF90K10J023R4483XEM0JMD881",
"customerContactFirstName": "User",
"customerContactLastName": "",
"customerContactEmail": "user@example.com",
"statusId": "XKNKDHSJ10YZXC0EMG11F7TQWZRQS",
"priorityId": "0MNKDHSJ106YNEQ19AKG4C1VZQS6G",
"sentimentId": "4MNKDHSJ10HTNG1C7XD40HBANC03Y",
"sentiment": "Neutral",
"storyPoints": null,
"aiGeneratedTitle": null,
"aiGeneratedSummary": null,
"createdAt": "2025-07-16T11:24:53.157Z",
"updatedAt": "2025-07-24T07:19:10.258Z"
},
"status": true,
"message": "Ticket assigned successfully!",
"timestamp": "2025-07-24T07:19:10.302Z"
}